import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
	const data = {
		username,
		password,
		code,
		uuid
	}
	return request({
		'url': '/auth/login',
		headers: {
			isToken: false
		},
		'method': 'post',
		'data': data
	})
}

// 获取当前登录人的信息
export function getInfo() {
	return request({
		'url': '/app/company/getUserInfo',
		'method': 'get'
	})
}

// 退出方法
export function logout() {
	return request({
		'url': '/auth/logout',
		'method': 'delete'
	})
}

// 获取验证码
export function getCodeImg() {
	return request({
		'url': '/code',
		headers: {
			isToken: false
		},
		method: 'get',
		timeout: 20000
	})
}

//验证
export function getUserState(data) {
	return request({
		'url': '/app/companyChange/getUserState',
		'method': 'post',
		'data': data
	})
}

// 忘记账号
// companyName 企业名称
// companyAbbreviation 企业简称
// companyCode 企业信用吗
// legalPerson 法人名称
// phoneNumber 电话号
export function getUserName(data) {
	return request({
		'url': '/app/companyChange/retrieveUserName',
		'method': 'post',
		'data': data
	})
}

// 司机重复登录
export function driverLogin(data) {
	return request({
		'url': '/auth/loginDriver',
		'method': 'post',
		'data': data
	})
}

// 忘记密码接口
export function forgetPassword(data) {
	return request({
		'url': '/app/companyChange/getRoleByUserName',
		'method': 'put',
		'data': data
	})
}

// 根据司机用户名获取企业信息
export function companyInfoByDriverName(data) {
	return request({
		'url': '/app/driver/getDriverCompany',
		'method': 'post',
		'data': data
	})
}
